%define version 1.10.2
%define subrel 1
%define release %mkrel 2

%define amversion 1.10

%define docheck 0
%{?_without_check: %global docheck 0}

Summary:	A GNU tool for automatically creating Makefiles
Name:		automake
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.bz2
# Adds 'make dist-xz' target, backport from git
Patch0:		automake-xz-support.patch
Patch1:		automake-1.10.1-CVE-2009-4029.diff
URL:		http://sources.redhat.com/automake/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

Requires:	autoconf >= 1:2.58
BuildRequires:	autoconf >= 1:2.59-4mdk
BuildRequires:	texinfo
Conflicts:	automake1.5
Provides:	automake1.9 = %{version}-%{release}
Obsoletes:	automake1.9
Provides:	automake1.8 = %{version}-%{release}
Obsoletes:	automake1.8
Requires(post):	info-install
Requires(preun): info-install
Requires(post):	update-alternatives
Requires(preun): update-alternatives

# tests need these
%if %docheck
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	tetex-latex
BuildRequires:	emacs
BuildRequires:	dejagnu
BuildRequires:	gcc-java
BuildRequires:	python
%endif

%description
Automake is a tool for automatically generating Makefiles compliant with
the GNU Coding Standards.

You should install Automake if you are developing software and would like
to use its capabilities of automatically generating GNU standard
Makefiles. If you install Automake, you will also need to install GNU's
Autoconf package.

%prep
%setup -q -n automake-%{version}
%patch0 -p1 -b .xz~
%patch1 -p1 -b .CVE-2009-4029

%build
# (Abel) config* don't understand noarch-mandriva-linux-gnu arch
%configure2_5x --build=i586-%{_target_vendor}-%{_target_os}%{?_gnu}
%make

%check
%if %docheck
# (Abel) reqd2.test tries to make sure automake won't work if ltmain.sh
# is not present. But automake behavior changed, now it can handle missing
# libtool file as well, so this test is bogus.
sed -e 's/reqd2.test//g' -i tests/Makefile
make check	# VERBOSE=1
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# provide -1.8 symlinks
ln -s automake-%{amversion} $RPM_BUILD_ROOT%{_bindir}/automake-1.8
ln -s aclocal-%{amversion} $RPM_BUILD_ROOT%{_bindir}/aclocal-1.8

# provide -1.9 symlinks
ln -s automake-%{amversion} $RPM_BUILD_ROOT%{_bindir}/automake-1.9
ln -s aclocal-%{amversion} $RPM_BUILD_ROOT%{_bindir}/aclocal-1.9

rm -f $RPM_BUILD_ROOT/%{_infodir}/*
install -m 644 doc/%{name}.info* $RPM_BUILD_ROOT/%{_infodir}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" = 1 ]; then
  update-alternatives --remove automake %{_bindir}/automake-1.8
  update-alternatives --remove automake %{_bindir}/automake-1.9
fi

%post
%_install_info %name.info

%preun
%_remove_install_info %name.info

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/automake-%{amversion}
%{_bindir}/aclocal-%{amversion}
%{_bindir}/automake-1.8
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.9
%{_bindir}/aclocal-1.9
%{_datadir}/automake*
%{_infodir}/automake*
%{_datadir}/aclocal*


%changelog
* Wed Oct 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1.10.2-2.1mdv2009.1
- P1: security fix for CVE-2009-4029 (redhat)

* Thu Feb 26 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10.2-2mdv2009.1
+ Revision: 345225
- sed is lighter and all and preferred over perl :o)
- add 'make dist-xz' target (P0, backported from git)

  + Funda Wang <fundawang@mandriva.org>
    - fix license

* Thu Nov 27 2008 Funda Wang <fundawang@mandriva.org> 1.10.2-1mdv2009.1
+ Revision: 307192
- New version 1.10.2

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10.1-2mdv2009.0
+ Revision: 220472
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - use %%doc for docs
    - drop COPYING as license is shipped with common-licenses..

* Thu Jan 31 2008 Funda Wang <fundawang@mandriva.org> 1.10.1-1mdv2008.1
+ Revision: 160778
- New version 1.10.1

* Thu Jan 10 2008 David Walluck <walluck@mandriva.org> 1.10-5mdv2008.1
+ Revision: 147466
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10-4mdv2008.1
+ Revision: 87531
- s/Mandrake/Mandriva/
- kill update-alternative file require
- kill file require on info-install

  + Helio Chissini de Castro <helio@mandriva.com>
    - Simlink for 1.9

* Thu Jun 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.10-2mdv2008.0
+ Revision: 42320
- fix platform tag

* Wed Jun 13 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.10-1mdv2008.0
+ Revision: 38651
- copy doc files in %%install
- remove old specfile code
- 1.10
- dropped patch0 - this is the only package providing 'automake' and 'aclocal'
- include automake and aclocal symlinks in the package, no more alternatives
- rename package to automake
- rename automake1.8 package to automake

